ubuntu/+source/openssl:applied/ubuntu/precise-proposed

Last commit made on 2015-03-05
Get this branch:
git clone -b applied/ubuntu/precise-proposed https://git.launchpad.net/ubuntu/+source/openssl
Members of Ubuntu Server Dev import team can upload to this branch. Log in for directions.

Branch merges

Branch information

Name:
applied/ubuntu/precise-proposed
Repository:
lp:ubuntu/+source/openssl

Recent commits

c8a5e35... by Marc Deslauriers on 2015-02-26

Import patches-applied version 1.0.1-4ubuntu5.22 to applied/ubuntu/precise-proposed

Imported using git-ubuntu import.

Changelog parent: 8fdc722f621274cbd9bdbaef3175e599289587d3
Unapplied parent: 13435bb3d4bf50549835ec47e18fbee85a193573

New changelog entries:
  * Fix DTLS handshake on amd64 (LP: #1425914)
    - debian/patches/lp1425914.patch: backport upstream patch that fixes
      alignment issue causing an assert in ssl/ssl_ciph.c.

13435bb... by Marc Deslauriers on 2015-02-26

[PATCH] ssl/ssl_ciph.c: interim solution for assertion in

Gbp-Pq: lp1425914.patch.

88d4944... by Marc Deslauriers on 2015-02-26

[PATCH] A memory leak can occur in dtls1_buffer_record if either of

Gbp-Pq: CVE-2015-0206.patch.

3726794... by Marc Deslauriers on 2015-02-26

[PATCH] Unauthenticated DH client certificate fix.

Gbp-Pq: CVE-2015-0205.patch.

0b15f38... by Marc Deslauriers on 2015-02-26

[PATCH] Only allow ephemeral RSA keys in export ciphersuites.

Gbp-Pq: CVE-2015-0204.patch.

a0edf6f... by Marc Deslauriers on 2015-02-26

fix certificate fingerprints can be modified

Gbp-Pq: CVE-2014-8275.patch.

bc172b3... by Marc Deslauriers on 2015-02-26

[PATCH] ECDH downgrade bug fix.

Gbp-Pq: CVE-2014-3572.patch.

5340a42... by Marc Deslauriers on 2015-02-26

[PATCH] Follow on from CVE-2014-3571. This fixes the code that was

Gbp-Pq: CVE-2014-3571-2.patch.

e6aa4d2... by Marc Deslauriers on 2015-02-26

[PATCH] Fix crash in dtls1_get_record whilst in the listen state

Gbp-Pq: CVE-2014-3571-1.patch.

3f18a88... by Marc Deslauriers on 2015-02-26

[PATCH] Fix for CVE-2014-3570.

Gbp-Pq: CVE-2014-3570.patch.